Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JExcelApiExporter.FormulaTextValueHandler

    java.lang.Object
      net.sf.jasperreports.engine.export.JExcelApiExporter.FormulaTextValueHandler

All Implemented Interfaces:
  TextValueHandler

Enclosing class:
  JExcelApiExporter

    protected class JExcelApiExporter.FormulaTextValueHandler

extends java.lang.Object
implements TextValueHandler

Constructor Summary
`JExcelApiExporter.FormulaTextValueHandler(int x, int y, java.lang.String formula, JExcelApiExporter.StyleInfo baseStyle, boolean cellComplexFormat)`

Method Summary
`protected jxl.write.Formula` | `formula()`
`jxl.write.biff.CellValue` | `getResult()`
`void` | `handle(BooleanTextValue textValue)`
`void` | `handle(DateTextValue textValue)`
`void` | `handle(NumberTextValue textValue)`
`void` | `handle(StringTextValue textValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JExcelApiExporter.FormulaTextValueHandler

    public JExcelApiExporter.FormulaTextValueHandler(int x,
                                                     int y,
                                                     java.lang.String formula,
                                                     JExcelApiExporter.StyleInfo baseStyle,
                                                     boolean cellComplexFormat)

Method Detail

### handle

    public void handle(StringTextValue textValue)
                throws JRException

  Specified by:
    `handle` in interface `TextValueHandler`
  Throws:
    `JRException`

### handle

    public void handle(NumberTextValue textValue)
                throws JRException

  Specified by:
    `handle` in interface `TextValueHandler`
  Throws:
    `JRException`

### handle

    public void handle(DateTextValue textValue)
                throws JRException

  Specified by:
    `handle` in interface `TextValueHandler`
  Throws:
    `JRException`

### handle

    public void handle(BooleanTextValue textValue)
                throws JRException

  Specified by:
    `handle` in interface `TextValueHandler`
  Throws:
    `JRException`

### formula

    protected jxl.write.Formula formula()
                                 throws JRException

  Throws:
    `JRException`

### getResult

    public jxl.write.biff.CellValue getResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com